## greetd 0.10.3

=== man/Makefile ===
SCDOC=$(shell pkg-config --variable=scdoc scdoc)
PREFIX?=/usr/local
MANDIR?=$(PREFIX)/share/man
DESTDIR?=

agreety.1: agreety-1.scd
	$(SCDOC) < agreety-1.scd > agreety.1

greetd.1: greetd-1.scd
	$(SCDOC) < greetd-1.scd > greetd.1

greetd.5: greetd-5.scd
	$(SCDOC) < greetd-5.scd > greetd.5

greetd-ipc.7: greetd-ipc-7.scd
	$(SCDOC) < greetd-ipc-7.scd > greetd-ipc.7

all: agreety.1 greetd.1 greetd.5 greetd-ipc.7

install:
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(MANDIR)/man5
	mkdir -p $(DESTDIR)$(MANDIR)/man7
	install -m644 agreety.1 $(DESTDIR)$(MANDIR)/man1/agreety.1
	install -m644 greetd.1 $(DESTDIR)$(MANDIR)/man1/greetd.1
	install -m644 greetd.5 $(DESTDIR)$(MANDIR)/man5/greetd.5
	install -m644 greetd-ipc.7 $(DESTDIR)$(MANDIR)/man7/greetd-ipc.7

clean:
	rm -f agreety.1 greetd.1 greetd.5 greetd-ipc.7

.DEFAULT_GOAL=all
.PHONY: all install clean

## greetd 0.8.0

=== debian/changelog ===
greetd (0.8.0-2) unstable; urgency=medium

  * Relax version requirements for nix into a minimum version (thanks
    Peter Green)(Closes: #1025744).
  * Hardcode SHELL in agreety configuration as the user is locked.
  * Do not start the service to avoid logging out the user and let them
    configure the desired frontend (Closes: #1025872).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 20 Dec 2022 20:06:12 +0900

greetd (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1010247).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 03 Oct 2022 14:22:59 +0900

=== debian/control ===
Source: greetd
Section: misc
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo,
# greetd & greetd_ipc
 librust-nix-dev (>= 0.25),
 librust-pam-sys-dev (>= 0.5.6),
 librust-users-dev (>= 0.11.0),
 librust-serde-derive-dev (>= 1.0),
 librust-serde-json-dev (>= 1.0),
 librust-libc-dev (>= 0.2),
 librust-tokio-dev (>= 1.0),
 librust-getopts-dev (>= 0.2),
 librust-thiserror-dev (>= 1.0),
 librust-async-trait-dev (>= 0.1),
 librust-enquote-dev (>= 1.0.3),
# agreety
 librust-rpassword-dev (>= 5.0),
 scdoc,
 pkg-config
Standards-Version: 4.6.1
Homepage: https://sr.ht/~kennylevinsen/greetd/
Vcs-Git: https://git.sr.ht/~kennylevinsen/greetd
Vcs-Browser: https://git.sr.ht/~kennylevinsen/greetd/tree
Rules-Requires-Root: no

Package: greetd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser
Provides: x-display-manager
Suggests: wlgreet
Description: minimal Wayland login manager
 greetd is a minimal and flexible login manager daemon that makes no
 assumptions about what you want to launch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/rustc/architecture.mk


%:
	dh $@ --buildsystem=cargo

# generate cargo-checksum file
_mkchecksum = printf '{"package":"%s","files":{}}\n' \
 $$(sha256sum $(or $2,$(dir $1)Cargo.toml) | grep -Po '^\S+') > $1;

execute_before_dh_auto_configure:
	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)

override_dh_auto_build:
	# actually does the build
	dh_auto_test -- --release
	make -C man all

# we ship the build result, skipping dh-cargo's test build
override_dh_auto_test:

override_dh_auto_install:
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/greetd /usr/sbin/
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/agreety /usr/sbin/

execute_after_dh_install:
	# bad perms
	chmod a-x debian/greetd/lib/systemd/system/greetd.service

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-start

execute_after_dh_auto_clean:
	make -C man clean
	rm -f debian/cargo-checksum.json

## greetd 0.9.0

=== debian/changelog ===
greetd (0.9.0-4ubuntu1) mantic; urgency=medium

  * Don't depend on dh_auto_test for build. Fixes Ubuntu riscv64 build.
    (Closes: #1050769)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Oct 2023 14:52:32 -0400

greetd (0.9.0-4) unstable; urgency=medium

  * Skip dh_dwz as dwz is unable to understand the generated code.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 29 Jul 2023 16:22:10 +0900

greetd (0.9.0-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * Update PAM configuration(s)
    Except for the gnome-keyring bits, all items currently set in the
    `greetd` PAM config are already part of the `login` config. Including
    the latter makes the `greetd` config simpler.
    This commit also calls the PAM modules needed for unlocking the KDE
    wallet as well, and adds the `greetd-greeter` config (simply including
    `login` as the greeter itself doesn't need to deal with keyrings).
    Finally, switch to using debhelper for installing the configs instead of
    handling those manually.
  * Add Breaks/Replaces relationships on older `phog`
    `phog` used to ship the `greetd` and `greetd-greeter` PAM configs,
    leading to conflicts with the latest version of the `greetd` package.
    This commit ensures we avoid this conflict and maintain a clean
    upgrade path for both those packages.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 31 Mar 2023 12:12:29 +0900

greetd (0.9.0-2) unstable; urgency=medium

  * Provide PAM configuration (Closes: #1032786).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 13 Mar 2023 02:41:02 +0900

greetd (0.9.0-1) unstable; urgency=medium

  * NUR:
    - drop recent_nix_adaptations.patch, obsolete
    - adapt the other patches for the new version
    - patch for using it with rpassword 6.0 currently in Debian
  * fix Vcs-* control fields (Closes: #1023980).
  * Improved user and group creation (Closes: #1028282).
  * Bump Standards-Version to 4.6.2 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 09 Feb 2023 00:38:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: greetd
 Section: misc
 Priority: optional
-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-cargo,
@@ -21,10 +22,10 @@
  librust-rpassword-dev (>= 5.0),
  scdoc,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://sr.ht/~kennylevinsen/greetd/
-Vcs-Git: https://git.sr.ht/~kennylevinsen/greetd
-Vcs-Browser: https://git.sr.ht/~kennylevinsen/greetd/tree
+Vcs-Git: https://salsa.debian.org/debian/greetd.git
+Vcs-Browser: https://salsa.debian.org/debian/greetd
 Rules-Requires-Root: no
 
 Package: greetd
@@ -35,7 +36,8 @@
  adduser
 Provides: x-display-manager
 Suggests: wlgreet
+Breaks: phog (<< 0.1.3-2)
+Replaces: phog (<< 0.1.3-2)
 Description: minimal Wayland login manager
  greetd is a minimal and flexible login manager daemon that makes no
  assumptions about what you want to launch.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

%:
	dh $@ --buildsystem=cargo

# generate cargo-checksum file
_mkchecksum = printf '{"package":"%s","files":{}}\n' \
 $$(sha256sum $(or $2,$(dir $1)Cargo.toml) | grep -Po '^\S+') > $1;

execute_before_dh_auto_configure:
	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock

override_dh_auto_build:
	$(CARGO) build --release
	make -C man all

# we ship the build result, skipping dh-cargo's test build
override_dh_auto_test:

override_dh_auto_install:
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/greetd /usr/sbin/
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/agreety /usr/sbin/

execute_after_dh_fixperms:
	chmod a-x debian/greetd/lib/systemd/system/greetd.service

override_dh_installpam:
	dh_installpam --name=greetd
	dh_installpam --name=greetd-greeter

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-start

# similarly to https://bugzilla.redhat.com/show_bug.cgi?id=1564880
# and other cases (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1016563)
# I got:
#   dwz: debian/greetd/usr/sbin/agreety: Couldn't find DIE at [2c8a] referenced by DW_AT_abstract_origin from DIE at [1ba4d]
#   dwz: debian/greetd/usr/sbin/greetd: Couldn't find DIE at [1036] referenced by DW_AT_abstract_origin from DIE at [e12b]
# Therefore I decide to skip it.
override_dh_dwz:

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)
	make -C man clean
	rm -f debian/cargo-checksum.json

## greetd 0.10.3

=== debian/changelog ===
greetd (0.10.3-5) unstable; urgency=medium

  * Add patch for nix 0.30 kindly provided by Peter Michael Green (Closes:
    #1116415).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 10 Nov 2025 19:26:53 +0900

greetd (0.10.3-4) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * adduser --allow-badname and scaffolding now unnecessary (Closes:
    #1091165).
  * Create a writable home for the greetd service (Closes: #1101303).
  * Pass --oknodo for sysvinit stop action (Closes: #1088073).
  * Bump Standards-Version to 4.7.2 (no changes).

  [ Fabian Grünbichler ]
  * Add libstd-rust-dev to Build-Depends for cross-building.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 08 Apr 2025 22:14:57 +0900

greetd (0.10.3-3) unstable; urgency=medium

  * Update agretty config to use the user's SHELL if set (courtesy
    Johannes Schauer Marin Rodrigues).
  * Remove obsolete dependency on librust-users-dev (Closes: #1080512).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 13 Nov 2024 17:39:38 +0900

greetd (0.10.3-2) unstable; urgency=medium

  * Add patch for rust-nix 0.29 (courtesy Peter Michael Green)
    (Closes: #1085439).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 08 Nov 2024 12:43:27 +0900

greetd (0.10.3-1) unstable; urgency=medium

  * NUR.
  * Update paths for the /usr-move (DEP17) transition
    (Closes: #1073602).
  * Add init script kindly provided by Juliusz Chroboczek (Closes:
    #1074495).
  * Add missing misc:Pre-Depends.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 19 Jul 2024 14:09:19 +0900

greetd (0.10.0-1) unstable; urgency=medium

  * NUR: refreshed patches.
  * Bump rpassword source dependency since we have a patch for it.
  * Update copyright years.
  * Use pkgconf as pkg-config is obsolete now.
  * Bump Standards-Version to 4.7.0 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 08 May 2024 10:34:22 +0900

greetd (0.9.0-6) unstable; urgency=medium

  * Relax dependency on rpassword (Closes: #1057931).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 21 Dec 2023 23:17:58 +0900

greetd (0.9.0-5) unstable; urgency=medium

  * Fix build when DEB_BUILD_OPTIONS contains 'nocheck'
    (Closes: #1050769).
  * Fix perms using the proper stage (Thanks Jeremy Bicha).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 09 Nov 2023 21:58:10 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: greetd
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-cargo,
+# needed for cross-building, dh-cargo only pulls in the :native one
+ libstd-rust-dev,
 # greetd & greetd_ipc
- librust-nix-dev (>= 0.25),
+ librust-nix-dev (>= 0.30),
  librust-pam-sys-dev (>= 0.5.6),
- librust-users-dev (>= 0.11.0),
  librust-serde-derive-dev (>= 1.0),
  librust-serde-json-dev (>= 1.0),
  librust-libc-dev (>= 0.2),
@@ -19,10 +19,10 @@
  librust-async-trait-dev (>= 0.1),
  librust-enquote-dev (>= 1.0.3),
 # agreety
- librust-rpassword-dev (>= 5.0),
+ librust-rpassword-dev (>= 6.0),
  scdoc,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.2
 Homepage: https://sr.ht/~kennylevinsen/greetd/
 Vcs-Git: https://salsa.debian.org/debian/greetd.git
 Vcs-Browser: https://salsa.debian.org/debian/greetd
@@ -30,6 +30,7 @@
 
 Package: greetd
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/rustc/architecture.mk


%:
	dh $@ --buildsystem=cargo

# generate cargo-checksum file
_mkchecksum = printf '{"package":"%s","files":{}}\n' \
 $$(sha256sum $(or $2,$(dir $1)Cargo.toml) | grep -Po '^\S+') > $1;

execute_before_dh_auto_configure:
	$(call _mkchecksum,debian/cargo-checksum.json,Cargo.toml)

override_dh_auto_build:
	# actually does the build
	DEB_BUILD_OPTIONS= dh_auto_test -- --release
	make -C man all

# we ship the build result, skipping dh-cargo's test build
override_dh_auto_test:

override_dh_auto_install:
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/greetd /usr/sbin/
	dh_install target/$(DEB_HOST_RUST_TYPE)/release/agreety /usr/sbin/

override_dh_installpam:
	dh_installpam --name=greetd
	dh_installpam --name=greetd-greeter

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade --no-start

execute_after_dh_fixperms:
	chmod a-x debian/greetd/usr/lib/systemd/system/greetd.service

# similarly to https://bugzilla.redhat.com/show_bug.cgi?id=1564880
# and other cases (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1016563)
# I got:
#   dwz: debian/greetd/usr/sbin/agreety: Couldn't find DIE at [2c8a] referenced by DW_AT_abstract_origin from DIE at [1ba4d]
#   dwz: debian/greetd/usr/sbin/greetd: Couldn't find DIE at [1036] referenced by DW_AT_abstract_origin from DIE at [e12b]
# Therefore I decide to skip it.
override_dh_dwz:

execute_after_dh_auto_clean:
	make -C man clean
	rm -f debian/cargo-checksum.json

=== debian/watch ===
version=4
https://git.sr.ht/~kennylevinsen/greetd/refs .*/(.*)\.tar\.gz
